diff -ruN ChezScheme-9.5.2.orig/c/Mf-a6fb ChezScheme-9.5.2/c/Mf-a6fb
--- ChezScheme-9.5.2.orig/c/Mf-a6fb	2020-01-23 22:23:05.742843303 +0000
+++ ChezScheme-9.5.2/c/Mf-a6fb	2020-01-23 22:26:24.476098967 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-a6nb ChezScheme-9.5.2/c/Mf-a6nb
--- ChezScheme-9.5.2.orig/c/Mf-a6nb	2020-01-23 22:23:05.742943496 +0000
+++ ChezScheme-9.5.2/c/Mf-a6nb	2020-01-23 22:26:24.472687244 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/X11R7/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/local/include -I/usr/X11R6/include
 mdclib = /usr/lib/i18n/libiconv_std.a -lm /usr/pkg/lib/libncurses.a
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-a6ob ChezScheme-9.5.2/c/Mf-a6ob
--- ChezScheme-9.5.2.orig/c/Mf-a6ob	2020-01-23 22:23:05.743041938 +0000
+++ ChezScheme-9.5.2/c/Mf-a6ob	2020-01-23 22:26:24.494189942 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-a6osx ChezScheme-9.5.2/c/Mf-a6osx
--- ChezScheme-9.5.2.orig/c/Mf-a6osx	2020-01-23 22:23:05.743095294 +0000
+++ ChezScheme-9.5.2/c/Mf-a6osx	2020-01-23 22:28:54.550960754 +0000
@@ -17,7 +17,7 @@
 Cpu = X86_64
 
 mdclib = -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wall -Wextra -Wno-implicit-fallthrough -Werror -O2 -I/opt/X11/include/ ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wall -Wextra -Werror -Wno-implicit-fallthrough -O2 -I/opt/X11/include/ ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-a6s2 ChezScheme-9.5.2/c/Mf-a6s2
--- ChezScheme-9.5.2.orig/c/Mf-a6s2	2020-01-23 22:23:05.742387901 +0000
+++ ChezScheme-9.5.2/c/Mf-a6s2	2020-01-23 22:26:24.536110199 +0000
@@ -17,7 +17,7 @@
 Cpu = X86_64
 
 mdclib = -lnsl -ldl -lm -lcurses -lrt -luuid -lz
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3fb ChezScheme-9.5.2/c/Mf-i3fb
--- ChezScheme-9.5.2.orig/c/Mf-i3fb	2020-01-23 22:23:05.743298840 +0000
+++ ChezScheme-9.5.2/c/Mf-i3fb	2020-01-23 22:26:24.482216308 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3nb ChezScheme-9.5.2/c/Mf-i3nb
--- ChezScheme-9.5.2.orig/c/Mf-i3nb	2020-01-23 22:23:05.743398094 +0000
+++ ChezScheme-9.5.2/c/Mf-i3nb	2020-01-23 22:26:24.479135820 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/X11R7/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/X11R6/include
 mdclib = /usr/lib/i18n/libiconv_std.a -lm /usr/pkg/lib/libncurses.a
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3ob ChezScheme-9.5.2/c/Mf-i3ob
--- ChezScheme-9.5.2.orig/c/Mf-i3ob	2020-01-23 22:23:05.743499929 +0000
+++ ChezScheme-9.5.2/c/Mf-i3ob	2020-01-23 22:26:24.503330538 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -O ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -Wno-implicit-fallthrough -O ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3osx ChezScheme-9.5.2/c/Mf-i3osx
--- ChezScheme-9.5.2.orig/c/Mf-i3osx	2020-01-23 22:23:05.743551876 +0000
+++ ChezScheme-9.5.2/c/Mf-i3osx	2020-01-23 22:28:54.554654894 +0000
@@ -17,7 +17,7 @@
 Cpu = I386
 
 mdclib = -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wall -Wextra -Wno-implicit-fallthrough -Werror -O2 -msse2 -I/opt/X11/include/ ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wall -Wextra -Werror -Wno-implicit-fallthrough -O2 -msse2 -I/opt/X11/include/ ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3qnx ChezScheme-9.5.2/c/Mf-i3qnx
--- ChezScheme-9.5.2.orig/c/Mf-i3qnx	2020-01-23 22:23:05.743602448 +0000
+++ ChezScheme-9.5.2/c/Mf-i3qnx	2020-01-23 22:26:24.545177093 +0000
@@ -17,7 +17,7 @@
 Cpu = I386
 
 mdclib = -lm /usr/local/lib/libiconv.so -lsocket -lncurses
-C = qcc ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -O2 -N2048K ${CFLAGS}
+C = qcc ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -N2048K ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-i3s2 ChezScheme-9.5.2/c/Mf-i3s2
--- ChezScheme-9.5.2.orig/c/Mf-i3s2	2020-01-23 22:23:05.742483309 +0000
+++ ChezScheme-9.5.2/c/Mf-i3s2	2020-01-23 22:26:24.518011785 +0000
@@ -17,7 +17,7 @@
 Cpu = I386
 
 mdclib = -lnsl -ldl -lm -lcurses -lrt -luuid -lz
-C = ${CC} ${CFLAGS} -m32 -Wpointer-arith -Wextra -Werror -O ${CPPFLAGS}
+C = ${CC} ${CFLAGS} -m32 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O ${CPPFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ta6fb ChezScheme-9.5.2/c/Mf-ta6fb
--- ChezScheme-9.5.2.orig/c/Mf-ta6fb	2020-01-23 22:23:05.743752515 +0000
+++ ChezScheme-9.5.2/c/Mf-ta6fb	2020-01-23 22:26:24.542133834 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses -lpthread
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ta6nb ChezScheme-9.5.2/c/Mf-ta6nb
--- ChezScheme-9.5.2.orig/c/Mf-ta6nb	2020-01-23 22:23:05.743853143 +0000
+++ ChezScheme-9.5.2/c/Mf-ta6nb	2020-01-23 22:26:24.539143172 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/X11R7/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/X11R6/include
 mdclib = /usr/lib/i18n/libiconv_std.a -lm /usr/pkg/lib/libncurses.a -lpthread
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ta6ob ChezScheme-9.5.2/c/Mf-ta6ob
--- ChezScheme-9.5.2.orig/c/Mf-ta6ob	2020-01-23 22:23:05.743958062 +0000
+++ ChezScheme-9.5.2/c/Mf-ta6ob	2020-01-23 22:26:24.514968675 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses -lpthread
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ta6osx ChezScheme-9.5.2/c/Mf-ta6osx
--- ChezScheme-9.5.2.orig/c/Mf-ta6osx	2020-01-23 22:23:05.744008234 +0000
+++ ChezScheme-9.5.2/c/Mf-ta6osx	2020-01-23 22:28:54.561057536 +0000
@@ -17,7 +17,7 @@
 Cpu = X86_64
 
 mdclib = -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wall -Wextra -Wno-implicit-fallthrough -Werror -O2 -I/opt/X11/include/ ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wall -Wextra -Werror -Wno-implicit-fallthrough -O2 -I/opt/X11/include/ ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ta6s2 ChezScheme-9.5.2/c/Mf-ta6s2
--- ChezScheme-9.5.2.orig/c/Mf-ta6s2	2020-01-23 22:23:05.742529765 +0000
+++ ChezScheme-9.5.2/c/Mf-ta6s2	2020-01-23 22:26:24.500257020 +0000
@@ -17,7 +17,7 @@
 Cpu = X86_64
 
 mdclib = -lnsl -ldl -lm -lpthread -lcurses -lrt -luuid -lz
-C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m64 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -Wno-maybe-uninitialized -O2 -D_REENTRANT ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ti3fb ChezScheme-9.5.2/c/Mf-ti3fb
--- ChezScheme-9.5.2.orig/c/Mf-ti3fb	2020-01-23 22:23:05.744109846 +0000
+++ ChezScheme-9.5.2/c/Mf-ti3fb	2020-01-23 22:26:24.554273452 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses -lpthread
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ti3nb ChezScheme-9.5.2/c/Mf-ti3nb
--- ChezScheme-9.5.2.orig/c/Mf-ti3nb	2020-01-23 22:23:05.744209991 +0000
+++ ChezScheme-9.5.2/c/Mf-ti3nb	2020-01-23 22:26:24.548190402 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/X11R7/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/X11R6/include
 mdclib = /usr/lib/i18n/libiconv_std.a -lm /usr/pkg/lib/libncurses.a -lpthread
-C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ti3ob ChezScheme-9.5.2/c/Mf-ti3ob
--- ChezScheme-9.5.2.orig/c/Mf-ti3ob	2020-01-23 22:23:05.744316313 +0000
+++ ChezScheme-9.5.2/c/Mf-ti3ob	2020-01-23 22:26:24.533088484 +0000
@@ -18,7 +18,7 @@
 
 mdinclude = -I/usr/local/include -I/usr/X11R6/include
 mdclib = -L/usr/local/lib -liconv -lm -lncurses -lpthread
-C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -O2 -D_REENTRANT -pthread ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -Wpointer-arith -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT -pthread ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ti3osx ChezScheme-9.5.2/c/Mf-ti3osx
--- ChezScheme-9.5.2.orig/c/Mf-ti3osx	2020-01-23 22:23:05.744366126 +0000
+++ ChezScheme-9.5.2/c/Mf-ti3osx	2020-01-23 22:28:54.557969359 +0000
@@ -17,7 +17,7 @@
 Cpu = I386
 
 mdclib = -liconv -lm -lncurses
-C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wall -Wextra -Wno-implicit-fallthrough -Werror -O2 -msse2 -I/opt/X11/include/ ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wall -Wextra -Werror -Wno-implicit-fallthrough -O2 -msse2 -I/opt/X11/include/ ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
diff -ruN ChezScheme-9.5.2.orig/c/Mf-ti3s2 ChezScheme-9.5.2/c/Mf-ti3s2
--- ChezScheme-9.5.2.orig/c/Mf-ti3s2	2020-01-23 22:23:05.742576799 +0000
+++ ChezScheme-9.5.2/c/Mf-ti3s2	2020-01-23 22:26:24.491175339 +0000
@@ -17,7 +17,7 @@
 Cpu = I386
 
 mdclib = -lnsl -ldl -lm -lpthread -lcurses -lrt -luuid -lz
-C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -O2 -D_REENTRANT ${CFLAGS}
+C = ${CC} ${CPPFLAGS} -m32 -Wpointer-arith -Wextra -Werror -Wno-implicit-fallthrough -O2 -D_REENTRANT ${CFLAGS}
 o = o
 mdsrc = i3le.c
 mdobj = i3le.o
